Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server.http
Class SOAPServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--oracle.soap.server.http.SOAPServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SOAPServlet
extends javax.servlet.http.HttpServlet

This servlet handles SOAP requests via pluggable providers.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_CONFIG_FILENAME`

Constructor Summary
`SOAPServlet()`

Method Summary
`void` | `destroy()`
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process SOAP requests.
`void` | `init()` Initialize the servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG_FILENAME

    public static final java.lang.String DEFAULT_CONFIG_FILENAME

Constructor Detail

### SOAPServlet

    public SOAPServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize the servlet.
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Process SOAP requests.
  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.